org.eclipse.incquery.patternlanguage.patternLanguage.impl

## Class PatternLanguagePackageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.incquery.patternlanguage.patternLanguage.impl.PatternLanguagePackageImpl

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, PatternLanguagePackage

      public class PatternLanguagePackageImpl
      extends org.eclipse.emf.ecore.impl.EPackageImpl
      implements PatternLanguagePackage

  An implementation of the model Package.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.incquery.patternlanguage.patternLanguage.PatternLanguagePackage

      `PatternLanguagePackage.Literals`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.incquery.patternlanguage.patternLanguage.PatternLanguagePackage

      `AGGREGATED_VALUE, AGGREGATED_VALUE__AGGREGATOR, AGGREGATED_VALUE__CALL, AGGREGATED_VALUE_FEATURE_COUNT, AGGREGATOR_EXPRESSION, AGGREGATOR_EXPRESSION_FEATURE_COUNT, ANNOTATION, ANNOTATION__NAME, ANNOTATION__PARAMETERS, ANNOTATION_FEATURE_COUNT, ANNOTATION_PARAMETER, ANNOTATION_PARAMETER__NAME, ANNOTATION_PARAMETER__VALUE, ANNOTATION_PARAMETER_FEATURE_COUNT, BOOL_VALUE, BOOL_VALUE__VALUE, BOOL_VALUE_FEATURE_COUNT, CHECK_CONSTRAINT, CHECK_CONSTRAINT__EXPRESSION, CHECK_CONSTRAINT_FEATURE_COUNT, COMPARE_CONSTRAINT, COMPARE_CONSTRAINT__FEATURE, COMPARE_CONSTRAINT__LEFT_OPERAND, COMPARE_CONSTRAINT__RIGHT_OPERAND, COMPARE_CONSTRAINT_FEATURE_COUNT, COMPARE_FEATURE, COMPUTATION_VALUE, COMPUTATION_VALUE_FEATURE_COUNT, CONSTRAINT, CONSTRAINT_FEATURE_COUNT, COUNT_AGGREGATOR, COUNT_AGGREGATOR_FEATURE_COUNT, DOUBLE_VALUE, DOUBLE_VALUE__VALUE, DOUBLE_VALUE_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, ENTITY_TYPE, ENTITY_TYPE__TYPENAME, ENTITY_TYPE_FEATURE_COUNT, FUNCTION_EVALUATION_VALUE, FUNCTION_EVALUATION_VALUE__EXPRESSION, FUNCTION_EVALUATION_VALUE_FEATURE_COUNT, INT_VALUE, INT_VALUE__VALUE, INT_VALUE_FEATURE_COUNT, LIST_VALUE, LIST_VALUE__VALUES, LIST_VALUE_FEATURE_COUNT, LITERAL_VALUE_REFERENCE, LITERAL_VALUE_REFERENCE_FEATURE_COUNT, LOCAL_VARIABLE, LOCAL_VARIABLE__NAME, LOCAL_VARIABLE__REFERENCES, LOCAL_VARIABLE__TYPE, LOCAL_VARIABLE_FEATURE_COUNT, MODIFIERS, MODIFIERS__PRIVATE, MODIFIERS_FEATURE_COUNT, PARAMETER_REF, PARAMETER_REF__NAME, PARAMETER_REF__REFERENCES, PARAMETER_REF__REFERRED_PARAM, PARAMETER_REF__TYPE, PARAMETER_REF_FEATURE_COUNT, PATH_EXPRESSION_CONSTRAINT, PATH_EXPRESSION_CONSTRAINT__HEAD, PATH_EXPRESSION_CONSTRAINT_FEATURE_COUNT, PATH_EXPRESSION_ELEMENT, PATH_EXPRESSION_ELEMENT__TAIL, PATH_EXPRESSION_ELEMENT__TYPE, PATH_EXPRESSION_ELEMENT_FEATURE_COUNT, PATH_EXPRESSION_HEAD, PATH_EXPRESSION_HEAD__DST, PATH_EXPRESSION_HEAD__SRC, PATH_EXPRESSION_HEAD__TAIL, PATH_EXPRESSION_HEAD__TYPE, PATH_EXPRESSION_HEAD_FEATURE_COUNT, PATH_EXPRESSION_TAIL, PATH_EXPRESSION_TAIL__CLOSURE, PATH_EXPRESSION_TAIL__INDEX, PATH_EXPRESSION_TAIL__TAIL, PATH_EXPRESSION_TAIL__TYPE, PATH_EXPRESSION_TAIL_FEATURE_COUNT, PATTERN, PATTERN__ANNOTATIONS, PATTERN__BODIES, PATTERN__MODIFIERS, PATTERN__NAME, PATTERN__PARAMETERS, PATTERN_BODY, PATTERN_BODY__CONSTRAINTS, PATTERN_BODY__NAME, PATTERN_BODY__VARIABLES, PATTERN_BODY_FEATURE_COUNT, PATTERN_CALL, PATTERN_CALL__PARAMETERS, PATTERN_CALL__PATTERN_REF, PATTERN_CALL__TRANSITIVE, PATTERN_CALL_FEATURE_COUNT, PATTERN_COMPOSITION_CONSTRAINT, PATTERN_COMPOSITION_CONSTRAINT__CALL, PATTERN_COMPOSITION_CONSTRAINT__NEGATIVE, PATTERN_COMPOSITION_CONSTRAINT_FEATURE_COUNT, PATTERN_FEATURE_COUNT, PATTERN_MODEL, PATTERN_MODEL__PACKAGE_NAME, PATTERN_MODEL__PATTERNS, PATTERN_MODEL_FEATURE_COUNT, RELATION_TYPE, RELATION_TYPE__TYPENAME, RELATION_TYPE_FEATURE_COUNT, STRING_VALUE, STRING_VALUE__VALUE, STRING_VALUE_FEATURE_COUNT, TYPE, TYPE__TYPENAME, TYPE_FEATURE_COUNT, VALUE_REFERENCE, VALUE_REFERENCE_FEATURE_COUNT, VARIABLE, VARIABLE__NAME, VARIABLE__REFERENCES, VARIABLE__TYPE, VARIABLE_FEATURE_COUNT, VARIABLE_REFERENCE, VARIABLE_REFERENCE__VAR, VARIABLE_REFERENCE__VARIABLE, VARIABLE_REFERENCE_FEATURE_COUNT, VARIABLE_VALUE, VARIABLE_VALUE__VALUE, VARIABLE_VALUE_FEATURE_COUNT`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createPackageContents()` Creates the meta-model objects for the package.
    `org.eclipse.emf.ecore.EReference` | `getAggregatedValue_Aggregator()`
    `org.eclipse.emf.ecore.EReference` | `getAggregatedValue_Call()`
    `org.eclipse.emf.ecore.EClass` | `getAggregatedValue()`
    `org.eclipse.emf.ecore.EClass` | `getAggregatorExpression()`
    `org.eclipse.emf.ecore.EAttribute` | `getAnnotation_Name()`
    `org.eclipse.emf.ecore.EReference` | `getAnnotation_Parameters()`
    `org.eclipse.emf.ecore.EClass` | `getAnnotation()`
    `org.eclipse.emf.ecore.EAttribute` | `getAnnotationParameter_Name()`
    `org.eclipse.emf.ecore.EReference` | `getAnnotationParameter_Value()`
    `org.eclipse.emf.ecore.EClass` | `getAnnotationParameter()`
    `org.eclipse.emf.ecore.EAttribute` | `getBoolValue_Value()`
    `org.eclipse.emf.ecore.EClass` | `getBoolValue()`
    `org.eclipse.emf.ecore.EReference` | `getCheckConstraint_Expression()`
    `org.eclipse.emf.ecore.EClass` | `getCheckConstraint()`
    `org.eclipse.emf.ecore.EAttribute` | `getCompareConstraint_Feature()`
    `org.eclipse.emf.ecore.EReference` | `getCompareConstraint_LeftOperand()`
    `org.eclipse.emf.ecore.EReference` | `getCompareConstraint_RightOperand()`
    `org.eclipse.emf.ecore.EClass` | `getCompareConstraint()`
    `org.eclipse.emf.ecore.EEnum` | `getCompareFeature()`
    `org.eclipse.emf.ecore.EClass` | `getComputationValue()`
    `org.eclipse.emf.ecore.EClass` | `getConstraint()`
    `org.eclipse.emf.ecore.EClass` | `getCountAggregator()`
    `org.eclipse.emf.ecore.EAttribute` | `getDoubleValue_Value()`
    `org.eclipse.emf.ecore.EClass` | `getDoubleValue()`
    `org.eclipse.emf.ecore.EClass` | `getEntityType()`
    `org.eclipse.emf.ecore.EReference` | `getFunctionEvaluationValue_Expression()`
    `org.eclipse.emf.ecore.EClass` | `getFunctionEvaluationValue()`
    `org.eclipse.emf.ecore.EAttribute` | `getIntValue_Value()`
    `org.eclipse.emf.ecore.EClass` | `getIntValue()`
    `org.eclipse.emf.ecore.EReference` | `getListValue_Values()`
    `org.eclipse.emf.ecore.EClass` | `getListValue()`
    `org.eclipse.emf.ecore.EClass` | `getLiteralValueReference()`
    `org.eclipse.emf.ecore.EClass` | `getLocalVariable()`
    `org.eclipse.emf.ecore.EAttribute` | `getModifiers_Private()`
    `org.eclipse.emf.ecore.EClass` | `getModifiers()`
    `org.eclipse.emf.ecore.EReference` | `getParameterRef_ReferredParam()`
    `org.eclipse.emf.ecore.EClass` | `getParameterRef()`
    `org.eclipse.emf.ecore.EReference` | `getPathExpressionConstraint_Head()`
    `org.eclipse.emf.ecore.EClass` | `getPathExpressionConstraint()`
    `org.eclipse.emf.ecore.EReference` | `getPathExpressionElement_Tail()`
    `org.eclipse.emf.ecore.EReference` | `getPathExpressionElement_Type()`
    `org.eclipse.emf.ecore.EClass` | `getPathExpressionElement()`
    `org.eclipse.emf.ecore.EReference` | `getPathExpressionHead_Dst()`
    `org.eclipse.emf.ecore.EReference` | `getPathExpressionHead_Src()`
    `org.eclipse.emf.ecore.EClass` | `getPathExpressionHead()`
    `org.eclipse.emf.ecore.EAttribute` | `getPathExpressionTail_Closure()`
    `org.eclipse.emf.ecore.EAttribute` | `getPathExpressionTail_Index()`
    `org.eclipse.emf.ecore.EClass` | `getPathExpressionTail()`
    `org.eclipse.emf.ecore.EReference` | `getPattern_Annotations()`
    `org.eclipse.emf.ecore.EReference` | `getPattern_Bodies()`
    `org.eclipse.emf.ecore.EReference` | `getPattern_Modifiers()`
    `org.eclipse.emf.ecore.EAttribute` | `getPattern_Name()`
    `org.eclipse.emf.ecore.EReference` | `getPattern_Parameters()`
    `org.eclipse.emf.ecore.EClass` | `getPattern()`
    `org.eclipse.emf.ecore.EReference` | `getPatternBody_Constraints()`
    `org.eclipse.emf.ecore.EAttribute` | `getPatternBody_Name()`
    `org.eclipse.emf.ecore.EReference` | `getPatternBody_Variables()`
    `org.eclipse.emf.ecore.EClass` | `getPatternBody()`
    `org.eclipse.emf.ecore.EReference` | `getPatternCall_Parameters()`
    `org.eclipse.emf.ecore.EReference` | `getPatternCall_PatternRef()`
    `org.eclipse.emf.ecore.EAttribute` | `getPatternCall_Transitive()`
    `org.eclipse.emf.ecore.EClass` | `getPatternCall()`
    `org.eclipse.emf.ecore.EReference` | `getPatternCompositionConstraint_Call()`
    `org.eclipse.emf.ecore.EAttribute` | `getPatternCompositionConstraint_Negative()`
    `org.eclipse.emf.ecore.EClass` | `getPatternCompositionConstraint()`
    `PatternLanguageFactory` | `getPatternLanguageFactory()`
    `org.eclipse.emf.ecore.EAttribute` | `getPatternModel_PackageName()`
    `org.eclipse.emf.ecore.EReference` | `getPatternModel_Patterns()`
    `org.eclipse.emf.ecore.EClass` | `getPatternModel()`
    `org.eclipse.emf.ecore.EClass` | `getRelationType()`
    `org.eclipse.emf.ecore.EAttribute` | `getStringValue_Value()`
    `org.eclipse.emf.ecore.EClass` | `getStringValue()`
    `org.eclipse.emf.ecore.EAttribute` | `getType_Typename()`
    `org.eclipse.emf.ecore.EClass` | `getType()`
    `org.eclipse.emf.ecore.EClass` | `getValueReference()`
    `org.eclipse.emf.ecore.EAttribute` | `getVariable_Name()`
    `org.eclipse.emf.ecore.EReference` | `getVariable_References()`
    `org.eclipse.emf.ecore.EReference` | `getVariable_Type()`
    `org.eclipse.emf.ecore.EClass` | `getVariable()`
    `org.eclipse.emf.ecore.EAttribute` | `getVariableReference_Var()`
    `org.eclipse.emf.ecore.EReference` | `getVariableReference_Variable()`
    `org.eclipse.emf.ecore.EClass` | `getVariableReference()`
    `org.eclipse.emf.ecore.EReference` | `getVariableValue_Value()`
    `org.eclipse.emf.ecore.EClass` | `getVariableValue()`
    `static PatternLanguagePackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
    `void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `eContents, eCrossReferences, getName, getNameGen, setName`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eURIFragmentSegment, getEAnnotation, getEAnnotations`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### init

          public static PatternLanguagePackage init()

      Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

      This method is used to initialize `PatternLanguagePackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

      See Also:
        `PatternLanguagePackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

    - #### getPatternModel

          public org.eclipse.emf.ecore.EClass getPatternModel()

      Specified by:
        `getPatternModel` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Pattern Model'.
      See Also:
        `PatternModel`

    - #### getPatternModel_PackageName

          public org.eclipse.emf.ecore.EAttribute getPatternModel_PackageName()

      Specified by:
        `getPatternModel_PackageName` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Package Name'.
      See Also:
        `PatternModel.getPackageName()`, `PatternLanguagePackage.getPatternModel()`

    - #### getPatternModel_Patterns

          public org.eclipse.emf.ecore.EReference getPatternModel_Patterns()

      Specified by:
        `getPatternModel_Patterns` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference list 'Patterns'.
      See Also:
        `PatternModel.getPatterns()`, `PatternLanguagePackage.getPatternModel()`

    - #### getPattern

          public org.eclipse.emf.ecore.EClass getPattern()

      Specified by:
        `getPattern` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Pattern'.
      See Also:
        `Pattern`

    - #### getPattern_Annotations

          public org.eclipse.emf.ecore.EReference getPattern_Annotations()

      Specified by:
        `getPattern_Annotations` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference list 'Annotations'.
      See Also:
        `Pattern.getAnnotations()`, `PatternLanguagePackage.getPattern()`

    - #### getPattern_Modifiers

          public org.eclipse.emf.ecore.EReference getPattern_Modifiers()

      Specified by:
        `getPattern_Modifiers` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference list 'Modifiers'.
      See Also:
        `Pattern.getModifiers()`, `PatternLanguagePackage.getPattern()`

    - #### getPattern_Name

          public org.eclipse.emf.ecore.EAttribute getPattern_Name()

      Specified by:
        `getPattern_Name` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `Pattern.getName()`, `PatternLanguagePackage.getPattern()`

    - #### getPattern_Parameters

          public org.eclipse.emf.ecore.EReference getPattern_Parameters()

      Specified by:
        `getPattern_Parameters` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `Pattern.getParameters()`, `PatternLanguagePackage.getPattern()`

    - #### getPattern_Bodies

          public org.eclipse.emf.ecore.EReference getPattern_Bodies()

      Specified by:
        `getPattern_Bodies` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference list 'Bodies'.
      See Also:
        `Pattern.getBodies()`, `PatternLanguagePackage.getPattern()`

    - #### getAnnotation

          public org.eclipse.emf.ecore.EClass getAnnotation()

      Specified by:
        `getAnnotation` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Annotation'.
      See Also:
        `Annotation`

    - #### getAnnotation_Name

          public org.eclipse.emf.ecore.EAttribute getAnnotation_Name()

      Specified by:
        `getAnnotation_Name` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `Annotation.getName()`, `PatternLanguagePackage.getAnnotation()`

    - #### getAnnotation_Parameters

          public org.eclipse.emf.ecore.EReference getAnnotation_Parameters()

      Specified by:
        `getAnnotation_Parameters` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `Annotation.getParameters()`, `PatternLanguagePackage.getAnnotation()`

    - #### getAnnotationParameter

          public org.eclipse.emf.ecore.EClass getAnnotationParameter()

      Specified by:
        `getAnnotationParameter` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Annotation Parameter'.
      See Also:
        `AnnotationParameter`

    - #### getAnnotationParameter_Name

          public org.eclipse.emf.ecore.EAttribute getAnnotationParameter_Name()

      Specified by:
        `getAnnotationParameter_Name` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `AnnotationParameter.getName()`, `PatternLanguagePackage.getAnnotationParameter()`

    - #### getAnnotationParameter_Value

          public org.eclipse.emf.ecore.EReference getAnnotationParameter_Value()

      Specified by:
        `getAnnotationParameter_Value` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `AnnotationParameter.getValue()`, `PatternLanguagePackage.getAnnotationParameter()`

    - #### getModifiers

          public org.eclipse.emf.ecore.EClass getModifiers()

      Specified by:
        `getModifiers` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Modifiers'.
      See Also:
        `Modifiers`

    - #### getModifiers_Private

          public org.eclipse.emf.ecore.EAttribute getModifiers_Private()

      Specified by:
        `getModifiers_Private` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Private'.
      See Also:
        `Modifiers.isPrivate()`, `PatternLanguagePackage.getModifiers()`

    - #### getVariable

          public org.eclipse.emf.ecore.EClass getVariable()

      Specified by:
        `getVariable` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Variable'.
      See Also:
        `Variable`

    - #### getVariable_Name

          public org.eclipse.emf.ecore.EAttribute getVariable_Name()

      Specified by:
        `getVariable_Name` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `Variable.getName()`, `PatternLanguagePackage.getVariable()`

    - #### getVariable_Type

          public org.eclipse.emf.ecore.EReference getVariable_Type()

      Specified by:
        `getVariable_Type` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Type'.
      See Also:
        `Variable.getType()`, `PatternLanguagePackage.getVariable()`

    - #### getVariable_References

          public org.eclipse.emf.ecore.EReference getVariable_References()

      Specified by:
        `getVariable_References` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the reference list 'References'.
      See Also:
        `Variable.getReferences()`, `PatternLanguagePackage.getVariable()`

    - #### getVariableReference

          public org.eclipse.emf.ecore.EClass getVariableReference()

      Specified by:
        `getVariableReference` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Variable Reference'.
      See Also:
        `VariableReference`

    - #### getVariableReference_Var

          public org.eclipse.emf.ecore.EAttribute getVariableReference_Var()

      Specified by:
        `getVariableReference_Var` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Var'.
      See Also:
        `VariableReference.getVar()`, `PatternLanguagePackage.getVariableReference()`

    - #### getVariableReference_Variable

          public org.eclipse.emf.ecore.EReference getVariableReference_Variable()

      Specified by:
        `getVariableReference_Variable` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the reference 'Variable'.
      See Also:
        `VariableReference`, `PatternLanguagePackage.getVariableReference()`

    - #### getType

          public org.eclipse.emf.ecore.EClass getType()

      Specified by:
        `getType` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Type'.
      See Also:
        `Type`

    - #### getType_Typename

          public org.eclipse.emf.ecore.EAttribute getType_Typename()

      Specified by:
        `getType_Typename` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Typename'.
      See Also:
        `Type.getTypename()`, `PatternLanguagePackage.getType()`

    - #### getPatternBody

          public org.eclipse.emf.ecore.EClass getPatternBody()

      Specified by:
        `getPatternBody` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Pattern Body'.
      See Also:
        `PatternBody`

    - #### getPatternBody_Name

          public org.eclipse.emf.ecore.EAttribute getPatternBody_Name()

      Specified by:
        `getPatternBody_Name` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `PatternBody.getName()`, `PatternLanguagePackage.getPatternBody()`

    - #### getPatternBody_Constraints

          public org.eclipse.emf.ecore.EReference getPatternBody_Constraints()

      Specified by:
        `getPatternBody_Constraints` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference list 'Constraints'.
      See Also:
        `PatternBody.getConstraints()`, `PatternLanguagePackage.getPatternBody()`

    - #### getPatternBody_Variables

          public org.eclipse.emf.ecore.EReference getPatternBody_Variables()

      Specified by:
        `getPatternBody_Variables` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference list 'Variables'.
      See Also:
        `PatternBody`, `PatternLanguagePackage.getPatternBody()`

    - #### getConstraint

          public org.eclipse.emf.ecore.EClass getConstraint()

      Specified by:
        `getConstraint` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Constraint'.
      See Also:
        `Constraint`

    - #### getPatternCall

          public org.eclipse.emf.ecore.EClass getPatternCall()

      Specified by:
        `getPatternCall` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Pattern Call'.
      See Also:
        `PatternCall`

    - #### getPatternCall_PatternRef

          public org.eclipse.emf.ecore.EReference getPatternCall_PatternRef()

      Specified by:
        `getPatternCall_PatternRef` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the reference 'Pattern Ref'.
      See Also:
        `PatternCall.getPatternRef()`, `PatternLanguagePackage.getPatternCall()`

    - #### getPatternCall_Transitive

          public org.eclipse.emf.ecore.EAttribute getPatternCall_Transitive()

      Specified by:
        `getPatternCall_Transitive` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Transitive'.
      See Also:
        `PatternCall.isTransitive()`, `PatternLanguagePackage.getPatternCall()`

    - #### getPatternCall_Parameters

          public org.eclipse.emf.ecore.EReference getPatternCall_Parameters()

      Specified by:
        `getPatternCall_Parameters` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `PatternCall.getParameters()`, `PatternLanguagePackage.getPatternCall()`

    - #### getPathExpressionElement

          public org.eclipse.emf.ecore.EClass getPathExpressionElement()

      Specified by:
        `getPathExpressionElement` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Path Expression Element'.
      See Also:
        `PathExpressionElement`

    - #### getPathExpressionElement_Type

          public org.eclipse.emf.ecore.EReference getPathExpressionElement_Type()

      Specified by:
        `getPathExpressionElement_Type` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Type'.
      See Also:
        `PathExpressionElement.getType()`, `PatternLanguagePackage.getPathExpressionElement()`

    - #### getPathExpressionElement_Tail

          public org.eclipse.emf.ecore.EReference getPathExpressionElement_Tail()

      Specified by:
        `getPathExpressionElement_Tail` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Tail'.
      See Also:
        `PathExpressionElement.getTail()`, `PatternLanguagePackage.getPathExpressionElement()`

    - #### getValueReference

          public org.eclipse.emf.ecore.EClass getValueReference()

      Specified by:
        `getValueReference` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Value Reference'.
      See Also:
        `ValueReference`

    - #### getLiteralValueReference

          public org.eclipse.emf.ecore.EClass getLiteralValueReference()

      Specified by:
        `getLiteralValueReference` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Literal Value Reference'.
      See Also:
        `LiteralValueReference`

    - #### getComputationValue

          public org.eclipse.emf.ecore.EClass getComputationValue()

      Specified by:
        `getComputationValue` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Computation Value'.
      See Also:
        `ComputationValue`

    - #### getAggregatorExpression

          public org.eclipse.emf.ecore.EClass getAggregatorExpression()

      Specified by:
        `getAggregatorExpression` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Aggregator Expression'.
      See Also:
        `AggregatorExpression`

    - #### getParameterRef

          public org.eclipse.emf.ecore.EClass getParameterRef()

      Specified by:
        `getParameterRef` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Parameter Ref'.
      See Also:
        `ParameterRef`

    - #### getParameterRef_ReferredParam

          public org.eclipse.emf.ecore.EReference getParameterRef_ReferredParam()

      Specified by:
        `getParameterRef_ReferredParam` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the reference 'Referred Param'.
      See Also:
        `ParameterRef.getReferredParam()`, `PatternLanguagePackage.getParameterRef()`

    - #### getLocalVariable

          public org.eclipse.emf.ecore.EClass getLocalVariable()

      Specified by:
        `getLocalVariable` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Local Variable'.
      See Also:
        `LocalVariable`

    - #### getEntityType

          public org.eclipse.emf.ecore.EClass getEntityType()

      Specified by:
        `getEntityType` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Entity Type'.
      See Also:
        `EntityType`

    - #### getRelationType

          public org.eclipse.emf.ecore.EClass getRelationType()

      Specified by:
        `getRelationType` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Relation Type'.
      See Also:
        `RelationType`

    - #### getPatternCompositionConstraint

          public org.eclipse.emf.ecore.EClass getPatternCompositionConstraint()

      Specified by:
        `getPatternCompositionConstraint` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Pattern Composition Constraint'.
      See Also:
        `PatternCompositionConstraint`

    - #### getPatternCompositionConstraint_Negative

          public org.eclipse.emf.ecore.EAttribute getPatternCompositionConstraint_Negative()

      Specified by:
        `getPatternCompositionConstraint_Negative` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Negative'.
      See Also:
        `PatternCompositionConstraint.isNegative()`, `PatternLanguagePackage.getPatternCompositionConstraint()`

    - #### getPatternCompositionConstraint_Call

          public org.eclipse.emf.ecore.EReference getPatternCompositionConstraint_Call()

      Specified by:
        `getPatternCompositionConstraint_Call` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Call'.
      See Also:
        `PatternCompositionConstraint.getCall()`, `PatternLanguagePackage.getPatternCompositionConstraint()`

    - #### getCompareConstraint

          public org.eclipse.emf.ecore.EClass getCompareConstraint()

      Specified by:
        `getCompareConstraint` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Compare Constraint'.
      See Also:
        `CompareConstraint`

    - #### getCompareConstraint_LeftOperand

          public org.eclipse.emf.ecore.EReference getCompareConstraint_LeftOperand()

      Specified by:
        `getCompareConstraint_LeftOperand` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Left Operand'.
      See Also:
        `CompareConstraint.getLeftOperand()`, `PatternLanguagePackage.getCompareConstraint()`

    - #### getCompareConstraint_Feature

          public org.eclipse.emf.ecore.EAttribute getCompareConstraint_Feature()

      Specified by:
        `getCompareConstraint_Feature` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Feature'.
      See Also:
        `CompareConstraint.getFeature()`, `PatternLanguagePackage.getCompareConstraint()`

    - #### getCompareConstraint_RightOperand

          public org.eclipse.emf.ecore.EReference getCompareConstraint_RightOperand()

      Specified by:
        `getCompareConstraint_RightOperand` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Right Operand'.
      See Also:
        `CompareConstraint.getRightOperand()`, `PatternLanguagePackage.getCompareConstraint()`

    - #### getCheckConstraint

          public org.eclipse.emf.ecore.EClass getCheckConstraint()

      Specified by:
        `getCheckConstraint` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Check Constraint'.
      See Also:
        `CheckConstraint`

    - #### getCheckConstraint_Expression

          public org.eclipse.emf.ecore.EReference getCheckConstraint_Expression()

      Specified by:
        `getCheckConstraint_Expression` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Expression'.
      See Also:
        `CheckConstraint.getExpression()`, `PatternLanguagePackage.getCheckConstraint()`

    - #### getPathExpressionConstraint

          public org.eclipse.emf.ecore.EClass getPathExpressionConstraint()

      Specified by:
        `getPathExpressionConstraint` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Path Expression Constraint'.
      See Also:
        `PathExpressionConstraint`

    - #### getPathExpressionConstraint_Head

          public org.eclipse.emf.ecore.EReference getPathExpressionConstraint_Head()

      Specified by:
        `getPathExpressionConstraint_Head` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Head'.
      See Also:
        `PathExpressionConstraint.getHead()`, `PatternLanguagePackage.getPathExpressionConstraint()`

    - #### getPathExpressionHead

          public org.eclipse.emf.ecore.EClass getPathExpressionHead()

      Specified by:
        `getPathExpressionHead` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Path Expression Head'.
      See Also:
        `PathExpressionHead`

    - #### getPathExpressionHead_Src

          public org.eclipse.emf.ecore.EReference getPathExpressionHead_Src()

      Specified by:
        `getPathExpressionHead_Src` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Src'.
      See Also:
        `PathExpressionHead.getSrc()`, `PatternLanguagePackage.getPathExpressionHead()`

    - #### getPathExpressionHead_Dst

          public org.eclipse.emf.ecore.EReference getPathExpressionHead_Dst()

      Specified by:
        `getPathExpressionHead_Dst` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Dst'.
      See Also:
        `PathExpressionHead.getDst()`, `PatternLanguagePackage.getPathExpressionHead()`

    - #### getPathExpressionTail

          public org.eclipse.emf.ecore.EClass getPathExpressionTail()

      Specified by:
        `getPathExpressionTail` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Path Expression Tail'.
      See Also:
        `PathExpressionTail`

    - #### getPathExpressionTail_Index

          public org.eclipse.emf.ecore.EAttribute getPathExpressionTail_Index()

      Specified by:
        `getPathExpressionTail_Index` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Index'.
      See Also:
        `PathExpressionTail.getIndex()`, `PatternLanguagePackage.getPathExpressionTail()`

    - #### getPathExpressionTail_Closure

          public org.eclipse.emf.ecore.EAttribute getPathExpressionTail_Closure()

      Specified by:
        `getPathExpressionTail_Closure` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Closure'.
      See Also:
        `PathExpressionTail.isClosure()`, `PatternLanguagePackage.getPathExpressionTail()`

    - #### getIntValue

          public org.eclipse.emf.ecore.EClass getIntValue()

      Specified by:
        `getIntValue` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Int Value'.
      See Also:
        `IntValue`

    - #### getIntValue_Value

          public org.eclipse.emf.ecore.EAttribute getIntValue_Value()

      Specified by:
        `getIntValue_Value` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `IntValue.getValue()`, `PatternLanguagePackage.getIntValue()`

    - #### getStringValue

          public org.eclipse.emf.ecore.EClass getStringValue()

      Specified by:
        `getStringValue` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'String Value'.
      See Also:
        `StringValue`

    - #### getStringValue_Value

          public org.eclipse.emf.ecore.EAttribute getStringValue_Value()

      Specified by:
        `getStringValue_Value` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `StringValue.getValue()`, `PatternLanguagePackage.getStringValue()`

    - #### getBoolValue

          public org.eclipse.emf.ecore.EClass getBoolValue()

      Specified by:
        `getBoolValue` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Bool Value'.
      See Also:
        `BoolValue`

    - #### getBoolValue_Value

          public org.eclipse.emf.ecore.EAttribute getBoolValue_Value()

      Specified by:
        `getBoolValue_Value` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `BoolValue.isValue()`, `PatternLanguagePackage.getBoolValue()`

    - #### getDoubleValue

          public org.eclipse.emf.ecore.EClass getDoubleValue()

      Specified by:
        `getDoubleValue` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Double Value'.
      See Also:
        `DoubleValue`

    - #### getDoubleValue_Value

          public org.eclipse.emf.ecore.EAttribute getDoubleValue_Value()

      Specified by:
        `getDoubleValue_Value` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `DoubleValue.getValue()`, `PatternLanguagePackage.getDoubleValue()`

    - #### getVariableValue

          public org.eclipse.emf.ecore.EClass getVariableValue()

      Specified by:
        `getVariableValue` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Variable Value'.
      See Also:
        `VariableValue`

    - #### getVariableValue_Value

          public org.eclipse.emf.ecore.EReference getVariableValue_Value()

      Specified by:
        `getVariableValue_Value` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `VariableValue.getValue()`, `PatternLanguagePackage.getVariableValue()`

    - #### getListValue

          public org.eclipse.emf.ecore.EClass getListValue()

      Specified by:
        `getListValue` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'List Value'.
      See Also:
        `ListValue`

    - #### getListValue_Values

          public org.eclipse.emf.ecore.EReference getListValue_Values()

      Specified by:
        `getListValue_Values` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference list 'Values'.
      See Also:
        `ListValue.getValues()`, `PatternLanguagePackage.getListValue()`

    - #### getFunctionEvaluationValue

          public org.eclipse.emf.ecore.EClass getFunctionEvaluationValue()

      Specified by:
        `getFunctionEvaluationValue` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Function Evaluation Value'.
      See Also:
        `FunctionEvaluationValue`

    - #### getFunctionEvaluationValue_Expression

          public org.eclipse.emf.ecore.EReference getFunctionEvaluationValue_Expression()

      Specified by:
        `getFunctionEvaluationValue_Expression` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Expression'.
      See Also:
        `FunctionEvaluationValue.getExpression()`, `PatternLanguagePackage.getFunctionEvaluationValue()`

    - #### getAggregatedValue

          public org.eclipse.emf.ecore.EClass getAggregatedValue()

      Specified by:
        `getAggregatedValue` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Aggregated Value'.
      See Also:
        `AggregatedValue`

    - #### getAggregatedValue_Aggregator

          public org.eclipse.emf.ecore.EReference getAggregatedValue_Aggregator()

      Specified by:
        `getAggregatedValue_Aggregator` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Aggregator'.
      See Also:
        `AggregatedValue.getAggregator()`, `PatternLanguagePackage.getAggregatedValue()`

    - #### getAggregatedValue_Call

          public org.eclipse.emf.ecore.EReference getAggregatedValue_Call()

      Specified by:
        `getAggregatedValue_Call` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Call'.
      See Also:
        `AggregatedValue.getCall()`, `PatternLanguagePackage.getAggregatedValue()`

    - #### getCountAggregator

          public org.eclipse.emf.ecore.EClass getCountAggregator()

      Specified by:
        `getCountAggregator` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Count Aggregator'.
      See Also:
        `CountAggregator`

    - #### getCompareFeature

          public org.eclipse.emf.ecore.EEnum getCompareFeature()

      Specified by:
        `getCompareFeature` in interface `PatternLanguagePackage`
      Returns:
        the meta object for enum 'Compare Feature'.
      See Also:
        `CompareFeature`

    - #### getPatternLanguageFactory

          public PatternLanguageFactory getPatternLanguageFactory()

      Specified by:
        `getPatternLanguageFactory` in interface `PatternLanguagePackage`
      Returns:
        the factory that creates the instances of the model.

    - #### createPackageContents

          public void createPackageContents()

      Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

    - #### initializePackageContents

          public void initializePackageContents()

      Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.